
<?php
function fikson_theme_setup() {
    // Add default posts and comments RSS feed links to head
    add_theme_support( 'automatic-feed-links' );

    // Let WordPress manage the document title.
    add_theme_support( 'title-tag' );

    // Enable support for Post Thumbnails on posts and pages
    add_theme_support( 'post-thumbnails' );

    // Register a single navigation menu
    register_nav_menus( array(
        'primary' => __( 'Primary Menu', 'fikson' ),
    ) );

    // Register widget areas
    register_sidebar( array(
        'name'          => __( 'Footer Widgets', 'fikson' ),
        'id'            => 'footer-1',
        'description'   => __( 'Widgets added here will appear in the footer.', 'fikson' ),
        'before_widget' => '<div class="footer-widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ));

    register_sidebar( array(
        'name'          => __( 'Sidebar Widgets', 'fikson' ),
        'id'            => 'sidebar-1',
        'description'   => __( 'Widgets added here will appear in the sidebar on single posts.', 'fikson' ),
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title">',
        'after_title'   => '</h4>',
    ));
}
add_action( 'after_setup_theme', 'fikson_theme_setup' );

function fikson_enqueue_styles() {
    wp_enqueue_style( 'fikson-google-fonts', 'https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;700&family=Lato:wght@300;400;700&display=swap', false );
    wp_enqueue_style( 'fikson-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'fikson_enqueue_styles' );
?>
